### Function

# RB debug_init_match

#### Declaration [src]

    void
    rb_debug_init_match (
      const char* match
    )

#### Description [src]

Sets up debug output, enabling debug output from file and function names that contain the specified match string.

Also sets up a GLib log handler that will trigger a debugger break for critical or warning level output if any debug output at all is enabled.

#### Parameters

`match`

  Type: `const char*`

  String to match functions and filenames against.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.